using System;
using System.Collections.Generic;
using System.Text;
using Datory.Annotations;

namespace GxPress.Entity.Missive
{
    /// <summary>
    /// 站内信分析包含了 收藏 点赞 转发 
    /// </summary>
    [DataTable("tede_missive_analyze")]
    public class MissiveAnalyze : Datory.Entity
    {
        /// <summary>
        ///站内信ID
        /// </summary>
        [DataColumn]
        public int MissiveId { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 类型ID (1 点赞,2评论点赞,3收藏,4转发)
        /// </summary>
        [DataColumn]
        public int AnalyzeType { get; set; }
    }
}
